Bug 967807 - Review Request: stapler - Stapler Java web framework
Review Request: stapler - Stapler Java web framework
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: gil cattaneo
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 967816
  Show dependency treegraph
 
Reported: 2013-05-28 07:18 EDT by Michal Srb
Modified: 2013-05-29 10:00 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-29 10:00:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
puntogil: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Michal Srb 2013-05-28 07:18:34 EDT
Spec URL: http://msrb.fedorapeople.org/review/stapler.spec
SRPM URL: http://msrb.fedorapeople.org/review/stapler-1.209-1.fc20.src.rpm
Description: Stapler is a library that "staples" your application objects to URLs,
making it easier to write web applications. The core idea of Stapler
is to automatically assign URLs for your objects, creating an intuitive
URL hierarchy.
Fedora Account System Username: msrb
Comment 1 gil cattaneo 2013-05-28 21:14:15 EDT
would like to take this review
Comment 2 gil cattaneo 2013-05-28 21:39:18 EDT
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Fully versioned dependency in subpackages, if present.
  Note: Missing: Requires: %{name} = %{version}-%{release} in stapler-jsp,
  stapler-jelly, stapler-groovy, stapler-parent
  See: http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage
  IGNORE 

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in stapler-jsp
     , stapler-jelly , stapler-groovy , stapler-parent , stapler-javadoc
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Apache (v2.0)", "BSD (2 clause)", "Unknown or generated". 58 files have
     unknown license. Detailed output of licensecheck in
     /home/gil/967807-stapler/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 40960 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Java:
[x]: Packages have proper BuildRequires/Requires on jpackage-utils
     Note: Maven packages do not need to (Build)Require jpackage-utils. It is
     pulled in by maven-local
[x]: Javadoc documentation files are generated and included in -javadoc
     subpackage
[x]: Javadoc subpackages should not have Requires: jpackage-utils
[x]: Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlink)
[x]: Bundled jar/class files should be removed before build

Maven:
[x]: If package contains pom.xml files install it (including depmaps) even
     when building with ant
[x]: If tests are skipped during package build explain why it was needed in a
     comment
     Note: Tests seem to be skipped. Verify there is a commment giving a
     reason for this
[x]: Pom files have correct Maven mapping
[x]: Maven packages should use new style packaging
[x]: Old add_to_maven_depmap macro is not being used
[x]: Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-
     utils for %update_maven_depmap macro
[x]: Package DOES NOT use %update_maven_depmap in %post/%postun
[x]: Packages use %{_mavenpomdir} instead of %{_datadir}/maven2/poms

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[!]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise justified.
[x]: SourceX tarball generation or download is documented.
     Note: Package contains tarball without URL, check comments
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

Java:
[x]: Package uses upstream build method (ant/maven/etc.)
[x]: Packages are noarch unless they use JNI

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: stapler-1.209-1.fc20.noarch.rpm
          stapler-jsp-1.209-1.fc20.noarch.rpm
          stapler-jelly-1.209-1.fc20.noarch.rpm
          stapler-groovy-1.209-1.fc20.noarch.rpm
          stapler-parent-1.209-1.fc20.noarch.rpm
          stapler-javadoc-1.209-1.fc20.noarch.rpm
stapler.noarch: W: name-repeated-in-summary C Stapler
stapler-jsp.noarch: W: no-documentation
stapler-jelly.noarch: W: no-documentation
stapler-groovy.noarch: W: no-documentation
stapler-javadoc.noarch: E: script-without-shebang /usr/share/javadoc/stapler/javadoc.sh
6 packages and 0 specfiles checked; 1 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint stapler-javadoc stapler-parent stapler stapler-jelly stapler-jsp stapler-groovy
stapler-javadoc.noarch: E: script-without-shebang /usr/share/javadoc/stapler/javadoc.sh
stapler.noarch: W: name-repeated-in-summary C Stapler
stapler-jelly.noarch: W: no-documentation
stapler-jsp.noarch: W: no-documentation
stapler-groovy.noarch: W: no-documentation
6 packages and 0 specfiles checked; 1 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
stapler-javadoc (rpmlib, GLIBC filtered):
    jpackage-utils

stapler-parent (rpmlib, GLIBC filtered):
    jpackage-utils
    mvn(org.apache.maven.plugins:maven-compiler-plugin)
    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
    mvn(org.apache.maven.plugins:maven-release-plugin)
    mvn(org.apache.maven.plugins:maven-site-plugin)
    mvn(org.kohsuke:pom)

stapler (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(asm:asm)
    mvn(com.google.guava:guava)
    mvn(com.sun.xml.bind:jaxb-impl)
    mvn(com.sun.xml.txw2:txw2)
    mvn(commons-beanutils:commons-beanutils)
    mvn(commons-discovery:commons-discovery)
    mvn(commons-fileupload:commons-fileupload)
    mvn(commons-io:commons-io)
    mvn(net.sf.json-lib:json-lib)
    mvn(net.sourceforge.findbugs:annotations)
    mvn(org.codehaus.groovy:groovy)
    mvn(org.jenkins-ci:annotation-indexer)
    mvn(org.jvnet.localizer:localizer)
    mvn(org.jvnet:tiger-types)
    mvn(org.kohsuke.metainf-services:metainf-services)
    mvn(xerces:xercesImpl)

stapler-jelly (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(dom4j:dom4j)
    mvn(org.jenkins-ci:commons-jelly)
    mvn(org.kohsuke.metainf-services:metainf-services)
    mvn(org.kohsuke.stapler:stapler)

stapler-jsp (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(org.kohsuke.metainf-services:metainf-services)
    mvn(org.kohsuke.stapler:stapler)

stapler-groovy (rpmlib, GLIBC filtered):
    java
    jpackage-utils
    mvn(org.codehaus.groovy:groovy)
    mvn(org.kohsuke.metainf-services:metainf-services)
    mvn(org.kohsuke.stapler:stapler-jelly)



Provides
--------
stapler-javadoc:
    stapler-javadoc

stapler-parent:
    mvn(org.kohsuke.stapler:stapler-parent)
    stapler-parent

stapler:
    mvn(org.kohsuke.stapler:stapler)
    stapler

stapler-jelly:
    mvn(org.kohsuke.stapler:stapler-jelly)
    stapler-jelly

stapler-jsp:
    mvn(org.kohsuke.stapler:stapler-jsp)
    stapler-jsp

stapler-groovy:
    mvn(org.kohsuke.stapler:stapler-groovy)
    stapler-groovy



Source checksums
----------------
http://www.apache.org/licenses/LICENSE-2.0.txt :
  CHECKSUM(SHA256) this package     : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30
  CHECKSUM(SHA256) upstream package : cfc7749b96f63bd31c3c42b5c471bf756814053e847c10f3eb003417bc523d30


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-i386
Command line :/usr/bin/fedora-review -b 967807 -m fedora-rawhide-i386

can you request developers to include the licensing?


CAN SOLVE THESE PROBLEMS before asking to import the package into git repo?

stapler-jsp.noarch: W: no-documentation
stapler-jelly.noarch: W: no-documentation
stapler-groovy.noarch: W: no-documentation
stapler-javadoc.noarch: E: script-without-shebang /usr/share/javadoc/stapler/javadoc.sh

approved
Comment 3 Michal Srb 2013-05-29 04:44:28 EDT
Thanks for the review. Here is fixed version:

Spec URL: http://msrb.fedorapeople.org/review/2/stapler.spec
SRPM URL: http://msrb.fedorapeople.org/review/2/stapler-1.209-2.fc20.src.rpm

- Exclude javadoc.sh from javadoc subpackage


(In reply to gil cattaneo from comment #2)
> 
> CAN SOLVE THESE PROBLEMS before asking to import the package into git repo?
> 
> stapler-jsp.noarch: W: no-documentation
> stapler-jelly.noarch: W: no-documentation
> stapler-groovy.noarch: W: no-documentation

I believe this should be fine. License file is installed when any subpackage combination is installed and besides that there is no other documentation to install.

> stapler-javadoc.noarch: E: script-without-shebang
> /usr/share/javadoc/stapler/javadoc.sh
> 

Fixed.

> approved

Thanks!
Comment 4 Michal Srb 2013-05-29 04:48:21 EDT
New Package SCM Request
=======================
Package Name: stapler
Short Description: Stapler Java web framework
Owners: msrb sochotni mizdebsk tradej
Branches: f19
InitialCC: java-sig
Comment 5 Gwyn Ciesla 2013-05-29 07:42:40 EDT
Git done (by process-git-requests).
Comment 6 Michal Srb 2013-05-29 10:00:50 EDT
The package is now in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.